Page MenuHomePhabricator

Create AMC edit tag
Closed, ResolvedPublic5 Story Points

Description

Note: For the purpose of estimation of this task you can assume T211197 has been completed.

Background

For several of the metrics envisaged in T210660, we need a way to distinguish which edits come from AMC. We would like to create a tag that identifies which edits come from users that have AMC enabled.

Acceptance criteria

Developer notes

The hooks will need to check whether the user is an Advanced mobile contributions editor using a public method created inside T211197. We already do this for the 'mobile edit' tag and it should be relatively straightforward to mirror the logic there.

$rc->addTags( 'advanced mobile edit' );
NOTE: MobileFrontend confusingly binds the hook ChangeTagsListActive to onListDefinedTags. You can fix the method name as part of this change.

QA steps

Article editing should be performed in the mobile mode. Please verify both wikitext editor and visualeditor.

  1. Visit https://en.wikipedia.beta.wmflabs.org/wiki/Special:Tags
  2. Observe that the advanced mobile edit tag exists
  3. Log into staging environment, switch to mobile view
  4. Edit article, verify in the article history that edit is not tagged with Advanced mobile edit tag.
  5. Go to Special:MobileOptions and enable Advanced Mobile Contributions
  6. Edit article in mobile mode using Wikitext with Advanced Mobile Contributions enabled
  7. Go to the article history, that edit should be tagged as Advanced mobile edit
  8. Disable the AMC mode
  9. Edit article
  10. Verify that last article edit has no Advanced mobile edit tag
  11. Redo steps 5..8 but this time edit article with Visual Editor

Additionally check other actions, like undo or article creation (cf. below). Everything should work the same way as the existing "mobile web edit" tag appears in the page creation log.

Moderation actions list (each to be QAed once it becomes available in the AMC interface. Some of these, like rollback or deletion of articles, need particular user rights):

(Other reverts, i.e. those that are not made via either undo or rollback, should already be covered by the QA for normal edits, and thus do not need to be tested separately.)

QA Results

Moderation ActionStatusDetails
edit✅ PassedT212959#4933853
undo⬜ Not CompletedTested the QA Steps in Safari and Chrome on Mac OS, Did not test completely.
rollback⬜ Not Run
reviewing new pages (cf. Special:NewPagesFeed)⬜ Not Run
blocking⬜ Not Run
unblocking⬜ Not Run
deleting⬜ Not Run
protecting pages⬜ Not Run
moving pages⬜ Not Run
thanks⬜ Not Run
pending changes (cf. log on enwiki)⬜ Not Run

QA Results:Production (idwiki)

Moderation ActionStatusDetails
edit✅ PassedT212959#5064892

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterThe AMC Mode should be available only in mobile mode
mediawiki/extensions/MobileFrontend : masterIntroduce `advanced mobile edit` change tag

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Tbayer updated the task description. (Show Details)Jan 8 2019, 4:36 AM
Tbayer changed the edit policy from "Custom Policy" to "All Users".
ovasileva set the point value for this task to 5.Jan 8 2019, 5:35 PM

estimated at a 5, although we might drop estimate later after team is more comfortable with edit tags

Jdlrobson updated the task description. (Show Details)Jan 8 2019, 5:36 PM
phuedx updated the task description. (Show Details)Jan 8 2019, 5:40 PM
phuedx removed the point value for this task.
phuedx set the point value for this task to 5.
ovasileva raised the priority of this task from Medium to High.Jan 9 2019, 6:16 PM
Tbayer updated the task description. (Show Details)Jan 10 2019, 11:38 PM

Change 483885 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] Introduce advanced mobile edit change tag

https://gerrit.wikimedia.org/r/483885

Jdlrobson removed pmiazga as the assignee of this task.Jan 16 2019, 11:11 PM
Jdlrobson added a subscriber: pmiazga.

Ever since we worked on the schema.org changes reading web staging has been having some problems. To QA this, we'll need to fix those, so please wait while I provide an environment this can be tested in.

Change 483885 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Introduce advanced mobile edit change tag

https://gerrit.wikimedia.org/r/483885

Since rEMFR7999d121a130: Introduce `advanced mobile edit` change tag introduces both the tag and the tagging of edits made by users opted into AMC, we should update the QA steps so that the latter is exercised.

pmiazga updated the task description. (Show Details)Jan 17 2019, 11:34 AM
pmiazga updated the task description. (Show Details)Jan 17 2019, 11:44 AM
pmiazga updated the task description. (Show Details)
pmiazga updated the task description. (Show Details)

@ovasileva @Tbayer - just out of curiosity - both advanced mobile edit and mobile web edit are redundant. Do we want to keep both (keeping both is much easier, showing only one - mobile web edit or advanced mobile edit is bit more complex). I'm just thinking aloud. The current implementation will add advanced mobile edit tag everytime AMC mode is on. That edit will be marked both with advanced mobiled edit and mobile web edit. Is it ok?

Also, do we want to tag desktop edits with advanced mobile edit? Most probably no. But if we decide to tag every edit when AMC mode is on - then we will be able to find how many desktop edits AMC users do (those edits will be tagged with advanced mobile edit but not with mobile web edit tag.

@ovasileva @Tbayer - just out of curiosity - both advanced mobile edit and mobile web edit are redundant. Do we want to keep both (keeping both is much easier, showing only one - mobile web edit or advanced mobile edit is bit more complex). I'm just thinking aloud. The current implementation will add advanced mobile edit tag everytime AMC mode is on. That edit will be marked both with advanced mobiled edit and mobile web edit. Is it ok?

Yes, this obviously adds redundancy, but the alternative would create a lot of complications, e.g. for metrics that are based on the existing tags. (Similarly, when we added OS-specific edits tags for the apps last year in T197175 , we left the existing tags in place, leading to redundancy such as one edit being tagged with Mobile edit, Mobile app edit, iOS app edit.)

Also, do we want to tag desktop edits with advanced mobile edit? Most probably no. But if we decide to tag every edit when AMC mode is on - then we will be able to find how many desktop edits AMC users do (those edits will be tagged with advanced mobile edit but not with mobile web edit tag.

No, only edits made using the actual AMC edit interface should be tagged as such.

Change 485075 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] The AMC Mode should be available only in mobile mode

https://gerrit.wikimedia.org/r/485075

Change 485075 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] The AMC Mode should be available only in mobile mode

https://gerrit.wikimedia.org/r/485075

ovasileva added a comment.EditedJan 21 2019, 5:48 PM

@pmiazga - list of moderation actions from T213461: Define moderation actions now finalized. Let's make sure new edit tag appears for these.

@ovasileva FYI: current implementation of AMC revision tag is identical to the mobile web edit tag. If the AMC tag doesn't appear on some moderation actions - the mobile web edit tag will not be present.

If we find that the AMC tag is not present for all moderation actions, we should fix both AMC and mobile web edit.

pmiazga updated the task description. (Show Details)Jan 22 2019, 3:50 PM

@Edtadros - can you post your testing results so far? I will create a separate task to test the remaining moderation actions in production at a later time.

ovasileva updated the task description. (Show Details)Jan 24 2019, 9:46 PM
Edtadros added a comment.EditedJan 25 2019, 1:25 AM
Moderation ActionStatusDetails
reverts/undo/rollback⬜ Not CompletedTested the QA Steps in Safari and Chrome on Mac OS, Did not test completely.
reviewing new pages (cf. Special:NewPagesFeed)⬜ Not Run
blocking⬜ Not Run
unblocking⬜ Not Run
deleting⬜ Not Run
protecting pages⬜ Not Run
moving pages⬜ Not Run
thanks⬜ Not Run
pending changes (cf. log on enwiki)⬜ Not Run
Edtadros reassigned this task from Edtadros to ovasileva.EditedJan 25 2019, 1:27 AM
This comment has been deleted.
Tbayer updated the task description. (Show Details)Feb 5 2019, 7:27 PM
Edtadros added a comment.EditedFeb 5 2019, 7:35 PM

@ovasileva, After some clarification (Thanks @Tbayer and @pmiazga), it was suggested to break out (reverts/undo/rollback) into 2 separate moderation actions, Undo and Rollback. Also, it appears that I missed listing Edit. I placed the QA results table in the description to not clutter the comments. I also updated the Status in (https://phabricator.wikimedia.org/T212959#4907948) to indicate that reverts/undo/rollback is not completed.

Edtadros updated the task description. (Show Details)Feb 5 2019, 7:50 PM

@Edtadros - leaving here for confirmation for the edit tag. After that we can move to signoff and create the task for QAing in production

ovasileva reassigned this task from ovasileva to Edtadros.Feb 6 2019, 6:14 PM
Tbayer added a comment.EditedFeb 6 2019, 8:18 PM

@Edtadros - leaving here for confirmation for the edit tag. After that we can move to signoff and create the task for QAing in production

A takeaway from yesterday's conversations (in standup and Slack) seems to be that we should be more specific about what we mean by confirming the edit tag. By now we can safely assume it exists in a technical sense (it shows up at https://readingwebstaging.wmflabs.org/wiki/Special:Tags ); in QA we should verify it is attached to the specific actions listed (including generic edits, as @Edtadros already did for one edit on January 22).
[Edited to add: PS - @phuedx already pointed out something similar above: T212959#4887382 ]

@ovasileva FYI: current implementation of AMC revision tag is identical to the mobile web edit tag. If the AMC tag doesn't appear on some moderation actions - the mobile web edit tag will not be present.
If we find that the AMC tag is not present for all moderation actions, we should fix both AMC and mobile web edit.

(From yesterday's discussion:)

One example for this is the Thanks log; @pmiazga is going to update this ticket accordingly and create a new task to add both tags to the Thanks log.

As Tbayer mentioned, I created separate task to tackle the tagging actions done via Thanks extension - T215477. I did a quick check and it should be possible but definitely it doesn't look trivial.

Edtadros reassigned this task from Edtadros to ovasileva.EditedFeb 7 2019, 5:47 AM

Edit tag tested and verified. The history of the testing edits can be seen below. The Edit moderator action is Passed.

OS: macOS Mojave
Browser: Chrome with Chrome DevTools to emulate mobile device (iPhone X)

Edtadros updated the task description. (Show Details)Feb 7 2019, 5:53 AM
ovasileva added a comment.EditedFeb 7 2019, 10:22 AM

@Edtadros - quick question - in the first line, AMC was disabled, right?

@ovasileva, you are correct.

Tbayer updated the task description. (Show Details)Feb 7 2019, 10:44 PM
Tbayer updated the task description. (Show Details)Feb 7 2019, 11:10 PM
ovasileva closed this task as Resolved.EditedFeb 8 2019, 11:17 AM

Looks like we're good here. Created T215597: QA edit tags for moderation actions for the remaining QA. @Tbayer - incorporated your edits into the new task. Thanks all!

Change 489317 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] Hygiene: allow easier access to user modes

https://gerrit.wikimedia.org/r/489317

Test Result:Production

Status: ✅ PASS
OS: iOS
Browser: Chrome browser on (iPhone XS Max)

Test Artifact(s):

Edit Moderator Action

Edtadros updated the task description. (Show Details)Mar 28 2019, 8:14 AM